/*
Theme Name:   Divi Child Theme
Author:       6P Marketing
Author URI:   https://6pmarketing.com/
Template:     Divi
Version:      1.0.0
Version:      1.0.0
*/

@import "modified.css";

:root {
	--wet-gold: #81bd41;
	--wet-blue: #1284b7;
	--wet-grey: #666666;
}

/* ========================================= */
/* --- Universal =========================== */
/* ========================================= */

.grecaptcha-badge,
.grecaptcha-logo {
	z-index: 10000;
}

:focus-visible {
	outline: -webkit-focus-ring-color auto 1px;
}

/* --- row reordering --- */
@media (max-width: 980px) {
	.reorder-row,
	.reorder-section .et_pb_row {
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		-ms-flex-wrap: wrap;
			flex-wrap: wrap;
	}
		.reorder-row .reorder-item {
			margin-bottom: 30px !important;
		}
			.reorder-row .reorder-item.reorder-item-last {
				margin-bottom: 0 !important
			}
	.reorder-item.first {
		-webkit-box-ordinal-group: 2;
			-ms-flex-order: 1;
				order: 1;
	}
	.reorder-item.second {
		-webkit-box-ordinal-group: 3;
			-ms-flex-order: 2;
				order: 2;
	}
}

/* embedded tools */
.embed-content iframe {
	display: flex;
}

/* ========================================= */
/* --- Header ============================== */
/* ========================================= */

/* --- Reworking the 'active' menu item */
/* default state - match colour of dropdowns */
#divi-child-plus-header .et_pb_menu ul li.current-menu-item a {
	color: #666666 !important;
}
	@media (max-width: 980px) {
		/* mobile -default state - match colour of dropdowns */
		#divi-child-plus-header .et_pb_menu ul li.current-menu-item a {
			color: #666666 !important;
		}
	}

/* active menu color - update to match theme */
#divi-child-plus-header .et_pb_menu ul li.current-menu-item > a,
#divi-child-plus-header .et_pb_menu ul li.current-menu-ancestor > a {
	color: var(--wet-gold) !important;
}

/* --- Primary Menu ======================== */
#page-container #divi-child-plus-header .sub-menu a {
	text-transform: initial;
}

/* --- Primary Menu - Mobile =============== */
@media (max-width: 980px) {
	/* adjusts the mobile menu from the top */
	#divi-child-plus-header .et_pb_menu .et_mobile_menu {
		top: calc(100% + 15px);
		padding: 0;

		/* creates a mobile safe dropdown */
		overflow-y: scroll;
		max-height: calc(100vh - 180px);
	}

	body.logged-in.admin-bar #divi-child-plus-header .et_pb_menu .et_mobile_menu {
		max-height: calc(100vh - (180px + 32px));
	}
}
	@media (max-width: 782px) {
		body.logged-in.admin-bar #divi-child-plus-header .et_pb_menu .et_mobile_menu {
			max-height: calc(100vh - (180px + 46px));
		}
	}

/* need to adjust animation to be less bouncy */
@media (min-width: 981px) {
	#divi-child-plus-header .dl-menu-style ul.et-menu>li>a {
		/**color: #fff !important;**/
		position: relative;
		z-index: 1;
	}
		#divi-child-plus-header .dl-menu-style ul.et-menu>li>a:hover,
		#divi-child-plus-header .dl-menu-style ul.et-menu>li>a:focus {
			/**color: #fff !important;**/
		}

	/* overrides hover to be white on primary menu items */
	.dl-menu-style ul.et-menu>li:hover>a {
		/**color: #fff !important;**/
	}
		.dl-menu-style ul.et-menu>li>a:before {
			position: absolute;
			content: '';
			display: block;
			z-index: -1;
			background: #81bd41;
			width: 0;
			height: 3px;
			bottom: 20px;
			left: 50%;
			-webkit-transition: 0.3s ease-in-out;
			-o-transition: 0.3s ease-in-out;
			transition: 0.3s ease-in-out;
		}
			.dl-menu-style ul.et-menu>li>a:hover:before {
			width: 95%;
			left: 2.5%;
			}

	/* active primary menu item */
	#divi-child-plus-header .et_pb_menu ul li.current-menu-ancestor > a:before,
	#divi-child-plus-header .et_pb_menu ul li.current-menu-item > a:before {
		width: 95%;
		left: 2.5%;
	}
}



/* ========================================= */
/* --- Heading Fonts ============================== */
/* ========================================= */


/*** See the presets page ***/

/* ========================================= */
/* --- Menu ============================== */
/* ========================================= */

.et-menu .menu-item-has-children>a:first-child:after {
	font-size: 18px;
    font-weight: 400;
    color: #1284b7;
}




/* ========================================= */
/* --- Image overlay ============================== */
/* ========================================= */

/*move and position the Text module over the center of the Image module*/

/*move and position the Text module over the center of the Image module*/

.pa-text-over-image > .et_pb_text {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -45%);
	z-index: 10;
	width: 100%;
	transition: opacity 0.3s ease-in-out;
	opacity: 0; 
}


/*add an optional overlay over the image*/

.pa-text-over-image > .et_pb_image .et_pb_image_wrap:before {
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	background-color: rgba(18, 132, 183, 0.65);
	background-image: linear-gradient(-45deg, rgba(18, 132, 183, 0.65) 50%, rgba(19, 100, 136, 0.82) 50%);
	z-index: 9;
	transition: opacity 0.3s ease-in-out;
	opacity: 0;
}



/*show overlay on image hover*/

.pa-text-over-image:hover > .et_pb_text {
	opacity: 1; 
}


/*show text on image hover*/

.pa-text-over-image:hover > .et_pb_image .et_pb_image_wrap:before {
	opacity: 1; 

}

/* ========================================= */
/* --- Sitemap ============================= */
/* ========================================= */

.sitemap-layout ul ul,
.sitemap-layout .wsp-container > ul {
	padding-bottom: 0;
}

/* ========================================= */
/* --- Menu Button ============================= */
/* ========================================= */

.menu-button a {
	font-weight: 700 !important;
    font-style: italic !important;
    background-image: linear-gradient(-45deg, #82be41 55%, #6ea037 55%);
	padding-top: 15px !important;
    padding-right: 20px !important;
    padding-bottom: 15px !important;
    padding-left: 20px !important;
	font-size: 22px;
    background-color: #81bd41;
    border-width: 0px !important;
	display: inline-block;
	transition: all 300ms ease 0ms;
	width: auto;
	font-family: 'Open Sans', Helvetica, Arial, Lucida, sans-serif;
	cursor: pointer;
	background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    border: 2px solid;
    border-radius: 3px;
	transition-property: all !important;
	height: 70%;
  	align-items: last baseline;
  	display: flex !important;
  	margin: auto !important;
	margin-left: 15px !important;
}


.menu-button a {
	color: #ffffff!important;
}

.menu-button a:hover {
	color: #ffffff!important;
	opacity: 1;
	background-image: initial;
    background-color: #63a037;
}

/* @media only screen and (max-width: 1255px) and (min-width: 981px) */
@media only screen and (min-width: 981px)  {
	.menu-button a {
		padding-top: 25px !important;
    	padding-bottom: 25px !important;
	}
}

.menu-button a:before {
			background: none!important;
}

/* Medium devices (landscape tablets, 768px and down) */
@media only screen and (max-width: 980px) {
	.menu-button a {
		padding-top: 10px !important;
    	padding-bottom: 10px !important;
		width: auto;
		margin-top: 15px !important;
    	margin-bottom: 15px !important;
		margin-right: 15px !important;
    	height: 100%;
		align-items: center !important;
	}	
}


.et_pb_menu_0_tb_header.et_pb_menu ul li a {
	color:#666666;
}


/********* Menu dropdown **************/

.et_pb_menu_0_tb_header.et_pb_menu .nav li ul {
	border: 0;
}

/**** Dashicons **/
.dashicons, .dashicons-before::before {
	vertical-align: middle;
}

/***************** Housing Loop  *********************/

/*** Overlay thumbnail link **/
.view-gallery-overlay {height: 100%!important;}
.view-gallery-overlay div {height: inherit;}
.view-gallery-overlay a {height: 100%; width: 100%;display:block;color: transparent;}

/*** View gallery button**/
.acf-button a {
	font-weight: 700 !important;
    font-style: italic !important;
	color: #ffffff!important;
    background-image: linear-gradient(-45deg, #82be41 55%, #6ea037 55%);
	padding-top: 13px !important;
    padding-right: 20px !important;
    padding-bottom: 13px !important;
    padding-left: 20px !important;
	font-size: 22px;
    background-color: #81bd41;
    border-width: 0px !important;
	display: inline-block;
	transition: all 300ms ease 0ms;
	width: 100%;
	font-family: 'Open Sans', Helvetica, Arial, Lucida, sans-serif;
	cursor: pointer;
	background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    border: 0px solid;
    border-radius: 3px;
	transition-property: all !important;
	height: 100%;
  	align-items: last baseline;
  	margin: auto !important;
}


.acf-button a:hover {
	color: #ffffff!important;
	background-image: initial;
    background-color: #63a037;
}

/** Fix the issue of the sticky header ****/
.modula-best-grid-gallery .fancybox__container {
    z-index: 99999;
}



/* ========================================= */
/* --- Footer ============================== */
/* ========================================= */
/* neutralize the widget margins */
#footer-sidebar-neutral .et_pb_widget_area .et_pb_widget {
    margin: 0;
    width: 100%;
}

@media (min-width: 981px) {
	#footer-sidebar-neutral {
		display: flex;
		flex-wrap: wrap;
		gap: 60px;
	}

	.footer-menu-column,
	#footer-sidebar-neutral .et_pb_widget_area .et_pb_widget {
		width: auto;
		margin-bottom: 0px!important;
	}
}

.et_pb_widget_area_left {
	border-right: 0px;
}

.et_pb_widget {
		margin-bottom: 0px!important;
	}

/* ========================================= */
/* --- Testimonial Slider ================== */
/* ========================================= */

.testimonial .n2-ss-slider-1.n2_ss__touch_element.n2-ow {
   padding: 60px 30px 60px 30px;

}


/* ========================================= */
/* --- Password Protected Page ================== */
/* ========================================= */

.post-password-required {
	padding-top: 120px;
    padding-bottom: 60px;
	max-width: 1080px;
    width: 80%;
    margin: auto;
}

@media only screen and (max-width: 768px) {
  .post-password-required {
	padding-top: 60px;
	}
}

.et_password_protected_form p input {
	background-color: #ffffff;
	border: 1px solid #d9d9d9!important;
}

.et_password_protected_form .et_submit_button {
	font-weight: 700 !important;
    font-style: italic !important;
    background-image: linear-gradient(-45deg, #82be41 55%, #6ea037 55%);
	padding-top: 5px !important;
    padding-right: 20px !important;
    padding-bottom: 5px !important;
    padding-left: 20px !important;
	font-size: 22px;
    background-color: #81bd41;
    border-width: 0px !important;
	display: inline-block;
	transition: all 300ms ease 0ms;
	width: auto;
	font-family: 'Open Sans', Helvetica, Arial, Lucida, sans-serif;
	cursor: pointer;
	background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    border: 2px solid;
    border-radius: 3px;
	transition-property: all !important;
	height: 70%;
  	align-items: last baseline;
  	display: flex !important;
  	margin: auto !important;
	margin-left: 15px !important;
}


.et_password_protected_form .et_submit_button:hover {
	color: #ffffff!important;
	background-image: initial;
    background-color: #63a037;
	    border-width: 0px !important;
	display: inline-block;
	transition: all 300ms ease 0ms;
	width: auto;
	font-family: 'Open Sans', Helvetica, Arial, Lucida, sans-serif;
	cursor: pointer;
	background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    border: 2px solid;
    border-radius: 3px;
	transition-property: all !important;
	height: 70%;
  	align-items: last baseline;
  	display: flex !important;
  	margin: auto !important;
	margin-left: 15px !important;
	padding-top: 5px !important;
    padding-right: 20px !important;
    padding-bottom: 5px !important;
    padding-left: 20px !important;
	font-size: 22px;
}
